Domains
All operations require authentication.
2 operationsv1/license/office
List domainsAlpha
GET
/1.0/ license/ office/ {serviceName}/ domain
Returns the names of the domains of the tenant.
Path parameters
service Name
required
string
Service name
Response
200string []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a domainAlpha
GET
/1.0/ license/ office/ {serviceName}/ domain/ {domainName}
Returns the status of the domain, ok or unverified, and the TXT record required to validate it.
Path parameters
domain Name
required
string
Domain name
service Name
required
string
Service name
Response
200Domain Nativesuccessful operation
domain Name
read-only
string
Domain name
status
read-only
Domain Status Enum
Domain status
Values
okunverifiedtxt Entry
read-only
string
Domain status
Example uses domainName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "domainName": "string", "status": "ok", "txtEntry": "string"}